Subject: bug#78601: [PATCH] Add tool-bar icons to package-menu-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Jun 2025 17:39:51 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 09 Jun 2025 11:48:44 +0000
> 
> Elijah Gabe Pérez <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> As we are not using icons provided by the icon theme of the desktop
> >>> environment, which in my case should be
> >>> https://gitlab.gnome.org/GNOME/adwaita-icon-theme, there is a visual
> >>> mismatch that some people might find irritating, but that is nothing new
> >>> with Emacs.
> >>
> >> Are there icons in that theme that could serve the needs of
> >> package-menu-mode?  If so, we could offer them as an alternative, when
> >> that desktop is in use.
> >
> > Another solution I can think of is to find a good GTK stock icon, add
> > their name to `x-gtk-stock-map` along with these new icons, so it stays
> > (mostly) consistent.
> 
> I am not familiar with GTK as a developer, but if the toolkit already
> provides some system to load pre-bundled icons, that sounds like the
> preferable solution.

Agreed.  Using platform icons is always preferable, at least as the
default.